# Uses of Interface
org.eclipse.ui.commands.IKeyConfiguration

Packages that use IKeyConfiguration
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of IKeyConfiguration in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return IKeyConfiguration
Modifier and Type
Method
Description
`IKeyConfiguration`
ICommandManager.`getKeyConfiguration(String keyConfigurationId)`
Deprecated.
`IKeyConfiguration`
KeyConfigurationEvent.`getKeyConfiguration()`
Deprecated.
Constructors in org.eclipse.ui.commands with parameters of type IKeyConfiguration
Modifier
Constructor
Description
``
`KeyConfigurationEvent(IKeyConfiguration keyConfiguration, boolean activeChanged, boolean definedChanged, boolean nameChanged, boolean parentIdChanged)`
Deprecated.